> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update reports

> Updates the specified reports object.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json PUT /reports('{Name}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /reports('{Name}'):
    put:
      tags:
        - reports
      summary: Update reports
      description: Updates the specified reports object.
      operationId: updatereports
      parameters:
        - name: Name
          in: path
          description: The key Name
          required: true
          schema:
            type: string
      requestBody:
        description: The reports entity to update.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/reports'
      responses:
        '200':
          description: EntitySet reports
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports'
        '204':
          description: reports updated
          content: {}
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    reports:
      type: object
      properties:
        Name:
          description: The name of the report.
          type: string
        Type:
          description: The type of report.
          type: string
        CreatedBy:
          description: The user who created this report.
          type: string
        CreatedTime:
          description: The time when the report was created
          type: string
          format: date-time
        ModifiedTime:
          description: The last modified time of the report.
          type: string
          format: date-time
        TimePeriod:
          description: The time period that the report should pull data from. In days.
          type: string
        Columns:
          description: The columns in the report.
          type: string
        GroupRows:
          description: The rows to group by in the report.
          type: string
        Filters:
          description: >-
            Any filters that should be used for the report. e.g.
            ConnectorType=SFTP,FTP;ConnectorId=SFTP1,SFTP2,FTP1,FTP2
          type: string
        Summary:
          description: >-
            Any summary information that should be provided in the generated
            report.
          type: string
        Schedule:
          description: The cron schedule to control when the report should run.
          type: string
        StartDate:
          description: The start date.
          type: string
          format: date-time
        EndDate:
          description: The end date.
          type: string
          format: date-time
        Format:
          description: The report format.
          type: string
        EmailReport:
          description: Whether or not to send the report via email.
          type: boolean
        EmailSubject:
          description: The email subject.
          type: string
        EmailRecipients:
          description: The email recipients.
          type: string
        TimePeriodStart:
          description: The custom TimePeriod start time.
          type: string
          format: date-time
        TimePeriodEnd:
          description: The custom TimePeriod end time.
          type: string
          format: date-time
        NextRunTime:
          description: The next scheduled time.
          type: string
          format: date-time
        IsRunning:
          description: Whether the reports is running.
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````